# DataExchange
TKIGES
IGESAppli

# IGESAppli_Array1OfNode Class Reference

`#include <IGESAppli_Array1OfNode.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESAppli_Array1OfNode (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESAppli_Array1OfNode (const Handle(IGESAppli_Node)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESAppli_Node)&V)
Standard_EXPORT void | Destroy ()
| ~IGESAppli_Array1OfNode ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESAppli_Array1OfNode & | Assign (const IGESAppli_Array1OfNode &Other)
const IGESAppli_Array1OfNode & | operator= (const IGESAppli_Array1OfNode &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESAppli_Node)&Value)
const Handle_IGESAppli_Node & | Value (const Standard_Integer Index) const
const Handle_IGESAppli_Node & | operator() (const Standard_Integer Index) const
Handle_IGESAppli_Node & | ChangeValue (const Standard_Integer Index)
Handle_IGESAppli_Node & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | IGESAppli_Array1OfNode (const IGESAppli_Array1OfNode &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_Array1OfNode::IGESAppli_Array1OfNode | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESAppli_Array1OfNode::IGESAppli_Array1OfNode | ( | const Handle(IGESAppli_Node)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESAppli_Array1OfNode::~IGESAppli_Array1OfNode | ( |  | ) | `[inline]`

Standard_EXPORT IGESAppli_Array1OfNode::IGESAppli_Array1OfNode | ( | const IGESAppli_Array1OfNode & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESAppli_Array1OfNode& IGESAppli_Array1OfNode::Assign | ( | const IGESAppli_Array1OfNode & | Other | ) |

Handle_IGESAppli_Node& IGESAppli_Array1OfNode::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESAppli_Array1OfNode::Destroy | ( |  | ) |

Standard_EXPORT void IGESAppli_Array1OfNode::Init | ( | const Handle(IGESAppli_Node)& | V | ) |

Standard_Boolean IGESAppli_Array1OfNode::IsAllocated | ( |  | ) | const

Standard_Integer IGESAppli_Array1OfNode::Length | ( |  | ) | const

Standard_Integer IGESAppli_Array1OfNode::Lower | ( |  | ) | const

void IGESAppli_Array1OfNode::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESAppli_Array1OfNode::operator new | ( | size_t | size | ) | `[inline]`

void* IGESAppli_Array1OfNode::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESAppli_Node& IGESAppli_Array1OfNode::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESAppli_Node& IGESAppli_Array1OfNode::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESAppli_Array1OfNode& IGESAppli_Array1OfNode::operator= | ( | const IGESAppli_Array1OfNode & | Other | ) | `[inline]`

void IGESAppli_Array1OfNode::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESAppli_Node)& | Value
| ) |

Standard_Integer IGESAppli_Array1OfNode::Upper | ( |  | ) | const

const Handle_IGESAppli_Node& IGESAppli_Array1OfNode::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESAppli_Array1OfNode::isAllocated `[private]`

Standard_Integer IGESAppli_Array1OfNode::myLowerBound `[private]`

Standard_Address IGESAppli_Array1OfNode::myStart `[private]`

Standard_Integer IGESAppli_Array1OfNode::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_Array1OfNode.hxx